Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl
Class Java2WSDL

    java.lang.Object
      |
      +--org.apache.axis.wsdl.Java2WSDL

public class Java2WSDL
extends java.lang.Object

Command line interface to the java2wsdl utility

Author:
  Ravi Kumar (rkumar@borland.com), Rich Scheuerle (scheu@us.ibm.com)

Field Summary
`protected static int` | `BINDING_NAME_OPT`
`protected java.lang.String` | `className`
`protected Emitter` | `emitter`
`protected static int` | `HELP_OPT`
`protected static int` | `IMPL_CLASS_OPT`
`protected static int` | `INHERITED_CLASS_OPT`
`protected static int` | `INPUT_OPT`
`protected static int` | `LOCATION_IMPORT_OPT`
`protected static int` | `LOCATION_OPT`
`protected static int` | `METHODS_ALLOWED_OPT`
`protected static int` | `METHODS_NOTALLOWED_OPT`
`protected int` | `mode`
`protected static int` | `NAMESPACE_IMPL_OPT`
`protected static int` | `NAMESPACE_OPT`
`protected java.util.HashMap` | `namespaceMap`
`protected CLOptionDescriptor[]` | `options` Define the understood options.
`protected static int` | `OUTPUT_IMPL_OPT`
`protected static int` | `OUTPUT_OPT`
`protected static int` | `OUTPUT_WSDL_MODE_OPT`
`protected static int` | `PACKAGE_OPT`
`protected static int` | `PORTTYPE_NAME_OPT`
`protected static int` | `SERVICE_ELEMENT_NAME_OPT`
`protected static int` | `SERVICE_PORT_NAME_OPT`
`protected static int` | `SOAPACTION_OPT`
`protected static int` | `STOP_CLASSES_OPT`
`protected static int` | `STYLE_OPT`
`protected static int` | `TYPEMAPPING_OPT`
`protected java.lang.String` | `wsdlFilename`
`protected java.lang.String` | `wsdlImplFilename`

Constructor Summary
`protected` | `Java2WSDL()` Instantiate a Java2WSDL emitter.

Method Summary
`protected void` | `addOptions(CLOptionDescriptor[] newOptions)` addOptions Add option descriptions to the tool.
`protected Emitter` | `createEmitter()` Instantiate an Emitter
`static void` | `main(java.lang.String[] args)` Main Run the Java2WSDL emitter with the specified command-line arguments
`protected void` | `parseOption(CLOption option)` Parse an option
`protected void` | `printUsage()` printUsage print usage information and quit.
`protected void` | `run(java.lang.String[] args)` run checks the command-line arguments and runs the tool.
`protected void` | `validateOptions()` validateOptions This method is invoked after the options are set to validate the option settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HELP_OPT

    protected static final int HELP_OPT

### OUTPUT_WSDL_MODE_OPT

    protected static final int OUTPUT_WSDL_MODE_OPT

### INPUT_OPT

    protected static final int INPUT_OPT

### OUTPUT_OPT

    protected static final int OUTPUT_OPT

### OUTPUT_IMPL_OPT

    protected static final int OUTPUT_IMPL_OPT

### PACKAGE_OPT

    protected static final int PACKAGE_OPT

### NAMESPACE_OPT

    protected static final int NAMESPACE_OPT

### NAMESPACE_IMPL_OPT

    protected static final int NAMESPACE_IMPL_OPT

### PORTTYPE_NAME_OPT

    protected static final int PORTTYPE_NAME_OPT

### SERVICE_ELEMENT_NAME_OPT

    protected static final int SERVICE_ELEMENT_NAME_OPT

### SERVICE_PORT_NAME_OPT

    protected static final int SERVICE_PORT_NAME_OPT

### BINDING_NAME_OPT

    protected static final int BINDING_NAME_OPT

### LOCATION_OPT

    protected static final int LOCATION_OPT

### LOCATION_IMPORT_OPT

    protected static final int LOCATION_IMPORT_OPT

### METHODS_ALLOWED_OPT

    protected static final int METHODS_ALLOWED_OPT

### INHERITED_CLASS_OPT

    protected static final int INHERITED_CLASS_OPT

### IMPL_CLASS_OPT

    protected static final int IMPL_CLASS_OPT

### METHODS_NOTALLOWED_OPT

    protected static final int METHODS_NOTALLOWED_OPT

### STOP_CLASSES_OPT

    protected static final int STOP_CLASSES_OPT

### TYPEMAPPING_OPT

    protected static final int TYPEMAPPING_OPT

### SOAPACTION_OPT

    protected static final int SOAPACTION_OPT

### STYLE_OPT

    protected static final int STYLE_OPT

### options

    protected CLOptionDescriptor[] options

  Define the understood options. Each CLOptionDescriptor contains: - The "long" version of the option. Eg, "help" means that "--help" will be recognised. - The option flags, governing the option's argument(s). - The "short" version of the option. Eg, 'h' means that "-h" will be recognised. - A description of the option for the usage message

### emitter

    protected Emitter emitter

### className

    protected java.lang.String className

### wsdlFilename

    protected java.lang.String wsdlFilename

### wsdlImplFilename

    protected java.lang.String wsdlImplFilename

### namespaceMap

    protected java.util.HashMap namespaceMap

### mode

    protected int mode

Constructor Detail

### Java2WSDL

    protected Java2WSDL()

  Instantiate a Java2WSDL emitter.

Method Detail

### createEmitter

    protected Emitter createEmitter()

  Instantiate an Emitter

### addOptions

    protected void addOptions(CLOptionDescriptor[] newOptions)

  addOptions Add option descriptions to the tool. Allows extended classes to add additional options.
  Parameters:
    `newOptions` - CLOptionDescriptor[] the options

### parseOption

    protected void parseOption(CLOption option)

  Parse an option
  Parameters:
    `option` - CLOption is the option

### validateOptions

    protected void validateOptions()

  validateOptions This method is invoked after the options are set to validate the option settings.

### run

    protected void run(java.lang.String[] args)

  run checks the command-line arguments and runs the tool.
  Parameters:
    `args` - String[] command-line arguments.

### printUsage

    protected void printUsage()

  printUsage print usage information and quit.

### main

    public static void main(java.lang.String[] args)

  Main Run the Java2WSDL emitter with the specified command-line arguments
  Parameters:
    `args` - String[] command-line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.